## org.ascape.model.engine
Class RuleOrderMutableStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy
          org.ascape.model.engine.IncrementalExecutionStrategy
              org.ascape.model.engine.ParallelExecutionStrategy
                  org.ascape.model.engine.RuleOrderStrategy
                      org.ascape.model.engine.RuleOrderMutableStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  RuleOrderUpdateMutableStrategy

    public class RuleOrderMutableStrategy

extends RuleOrderStrategy

The Class RuleOrderMutableStrategy.

See Also:
  Serialized Form

Constructor Summary
`RuleOrderMutableStrategy(StrategyFactory factory)` Instantiates a new rule order mutable strategy.

Method Summary
`boolean` `hasNext()` Checks for next.
`void` `increment()` Increment.
`boolean` `isSupportsParallel()` Checks if is supports parallel.
`void` `nextParallelSequence()` Next parallel sequence.
`void` `reset()` Reset.

Methods inherited from class org.ascape.model.engine.RuleOrderStrategy
`hasNextParallel`

Methods inherited from class org.ascape.model.engine.ParallelExecutionStrategy
`execute, executeParallel, incrementParallel`

Methods inherited from class org.ascape.model.engine.IncrementalExecutionStrategy
`clone, fire, getAgentIterator, getAgentSelector, getCurrentAgent, getCurrentRule, getRules, getRuleSelector, getScape, setAgentIterator, setAgentSelector, setRuleSelector`

Methods inherited from class org.ascape.model.engine.ExecutionStrategy
`chain`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RuleOrderMutableStrategy

    public RuleOrderMutableStrategy(StrategyFactory factory)

  Instantiates a new rule order mutable strategy.

  Parameters:
    `factory` - the factory

Method Detail

### increment

    public final void increment()

  Description copied from class: `IncrementalExecutionStrategy`
  Increment.

  Overrides:
    `increment` in class `RuleOrderStrategy`

### nextParallelSequence

    public void nextParallelSequence()

  Description copied from class: `ParallelExecutionStrategy`
  Next parallel sequence.

  Overrides:
    `nextParallelSequence` in class `RuleOrderStrategy`

### hasNext

    public boolean hasNext()

  Description copied from class: `IncrementalExecutionStrategy`
  Checks for next.

  Overrides:
    `hasNext` in class `RuleOrderStrategy`
  Returns:
    true, if successful

### reset

    public void reset()

  Description copied from class: `ExecutionStrategy`
  Reset.

  Overrides:
    `reset` in class `RuleOrderStrategy`

### isSupportsParallel

    public boolean isSupportsParallel()

  Description copied from class: `ExecutionStrategy`
  Checks if is supports parallel.

  Overrides:
    `isSupportsParallel` in class `RuleOrderStrategy`
  Returns:
    true, if is supports parallel